Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.invocation
Class InternalInvocation

    java.lang.Object
      org.jboss.remoting.invocation.RemoteInvocation
          org.jboss.remoting.invocation.InternalInvocation

All Implemented Interfaces:
  java.io.Serializable

    public class InternalInvocation

extends RemoteInvocation

InternalInvocation.java is an invocation object for use in the remoting layer for callbacks etc. We are responsible for assuring that each method name has a unique arg list.

Created: Mon Apr 28 09:14:46 2003

Version:
  1.0
Author:
  David Jencks, Tom Elrod
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACKNOWLEDGECALLBACK`
`static java.lang.String` | `ADDCLIENTLISTENER`
`static java.lang.String` | `ADDLISTENER`
`static java.lang.String` | `ADDSTREAMCALLBACK`
`static java.lang.String` | `GETCALLBACKS`
`static java.lang.String` | `HANDLECALLBACK`
`static java.lang.String` | `REMOVECLIENTLISTENER`
`static java.lang.String` | `REMOVELISTENER`

Fields inherited from class org.jboss.remoting.invocation.RemoteInvocation
`methodName, params`

Constructor Summary
`InternalInvocation(java.lang.String methodName, java.lang.Object[] params)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.remoting.invocation.RemoteInvocation
`getMethodName, getParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADDCLIENTLISTENER

    public static final java.lang.String ADDCLIENTLISTENER

See Also:
  Constant Field Values

### ADDLISTENER

    public static final java.lang.String ADDLISTENER

See Also:
  Constant Field Values

### REMOVELISTENER

    public static final java.lang.String REMOVELISTENER

See Also:
  Constant Field Values

### REMOVECLIENTLISTENER

    public static final java.lang.String REMOVECLIENTLISTENER

See Also:
  Constant Field Values

### GETCALLBACKS

    public static final java.lang.String GETCALLBACKS

See Also:
  Constant Field Values

### HANDLECALLBACK

    public static final java.lang.String HANDLECALLBACK

See Also:
  Constant Field Values

### ADDSTREAMCALLBACK

    public static final java.lang.String ADDSTREAMCALLBACK

See Also:
  Constant Field Values

### ACKNOWLEDGECALLBACK

    public static final java.lang.String ACKNOWLEDGECALLBACK

See Also:
  Constant Field Values

Constructor Detail

### InternalInvocation

    public InternalInvocation(java.lang.String methodName,
                              java.lang.Object[] params)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.